Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Identity Hub
  • Access management
  • Pricing policy
  • Terraform reference
    • Authentication
      • Overview
        • Overview
          • Overview
          • SetReplicationToken
          • ResetReplicationToken
          • CreateSynchronizationSettings
          • UpdateSynchronizationSettings
          • DeleteSynchronizationSettings
          • GetSynchronizationSettings
          • ListSupportedAttributes
  • Audit Trails events
  • Release notes
  • Yandex Identity Hub Sync Agent release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  • SynchronizationFilter
  • UserAttributeMapping
  • GroupAttributeMapping
  1. API reference
  2. REST
  3. Identity Provider API
  4. Synchronization
  5. GetSynchronizationSettings

Identity Provider API, REST: Synchronization.GetSynchronizationSettings

Written by
Yandex Cloud
Updated at May 27, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response
  • SynchronizationFilter
  • UserAttributeMapping
  • GroupAttributeMapping

Returns synchronization settings for a subject container.

HTTP requestHTTP request

GET https://organization-manager.api.cloud.yandex.net/organization-manager/v1/idp/synchronization-settings/{subjectContainerId}

Path parametersPath parameters

Request to get synchronization settings.

Field

Description

subjectContainerId

string

Required field. ID of the subject container.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "subjectContainerId": "string",
  "filter": {
    "domain": "string",
    "groups": [
      "string"
    ],
    "organizationUnits": [
      "string"
    ]
  },
  "removeUserBehavior": "string",
  "synchronizationInterval": "string",
  "allowToCaptureUsers": "boolean",
  "allowToCaptureGroups": "boolean",
  "userAttributeMappings": [
    {
      "source": "string",
      "target": "string",
      "type": "string"
    }
  ],
  "groupAttributeMappings": [
    {
      "source": "string",
      "target": "string",
      "type": "string"
    }
  ],
  "createdAt": "string",
  "replacementDomain": "string",
  "enablePasswordWriteback": "boolean"
}

Synchronization settings for a subject container.

Field

Description

subjectContainerId

string

ID of the subject container.

filter

SynchronizationFilter

Filter configuration for synchronization.

removeUserBehavior

enum (RemoveUserBehavior)

Behavior when removing users.

  • REMOVE: Remove the user.
  • BLOCK: Block the user.

synchronizationInterval

string (duration)

Interval between synchronization runs.

allowToCaptureUsers

boolean

Whether users can be captured during synchronization.

allowToCaptureGroups

boolean

Whether groups can be captured during synchronization.

userAttributeMappings[]

UserAttributeMapping

User attribute mappings.

groupAttributeMappings[]

GroupAttributeMapping

Group attribute mappings.

createdAt

string (date-time)

Timestamp when the settings were created.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

replacementDomain

string

Domain replacement configuration.

enablePasswordWriteback

boolean

Enables password writeback feature.

SynchronizationFilterSynchronizationFilter

Filter configuration for synchronization.

Field

Description

domain

string

Required field. Domain to synchronize.

The string length in characters must be 1-253.

groups[]

string

List of groups to synchronize.

The string length in characters for each value must be 1-253. The maximum number of elements is 10.

organizationUnits[]

string

List of organizational units to synchronize.

The string length in characters for each value must be 1-253. The maximum number of elements is 10.

UserAttributeMappingUserAttributeMapping

User attribute mapping configuration.

Field

Description

source

string

Source attribute name.

The string length in characters must be 0-253.

target

enum (UserTargetAttribute)

Required field. Target attribute to map to.

  • FULL_NAME: Full name attribute.
  • GIVEN_NAME: Given name attribute.
  • FAMILY_NAME: Family name attribute.
  • EMAIL: Email attribute.
  • PHONE_NUMBER: Phone number attribute.
  • USERNAME: Username attribute.
  • COMPANY_NAME: Company name attribute.
  • JOB_TITLE: Job title attribute.
  • DEPARTMENT: Department attribute.
  • EMPLOYEE_ID: Employee ID attribute.

type

enum (MappingType)

Required field. Type of mapping.

  • DIRECT: Direct mapping from source to target.
  • EMPTY: Empty mapping (no source attribute).

GroupAttributeMappingGroupAttributeMapping

Group attribute mapping configuration.

Field

Description

source

string

Source attribute name.

The string length in characters must be 0-253.

target

enum (GroupTargetAttribute)

Required field. Target attribute to map to.

  • NAME: Name attribute.
  • DESCRIPTION: Description attribute.

type

enum (MappingType)

Required field. Type of mapping.

  • DIRECT: Direct mapping from source to target.
  • EMPTY: Empty mapping (no source attribute).

Was the article helpful?

Previous
DeleteSynchronizationSettings
Next
ListSupportedAttributes
© 2026 Direct Cursus Technology L.L.C.